<!doctype html>
<html lang="en">
<head>
<title>28-debian-science-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e">Debian Science BoF</span><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e"></span><br><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e"></span><br><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e">26..08.2021, 17:00 UTC.</span><br><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e">https://debconf21.debconf.org/talks/28-debian-science-bof/</span><br><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e"></span><br><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e">Participants:</span><br><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e"> - Anton Gladky</span><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"> - Andreas Tille</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"> - Alastair McKinstry</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"> - Steffen Möller</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"> - Étienne Mollier</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"> - Diane Trout</span><br><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e"> </span><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">- Sridhar Gutam</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"> - Doug Torrance</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"> - Michael D'Souza</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"> - aghisla (from Neurodebian)</span><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e"></span><br><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">In an attempt to collect "keywords of concern" to discuss:</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * backports - there is no way we can cope with maintenance work, right?</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * new queue and daisy-chain of dependencies</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * (non-free-)buildd compiling CUDA and ROCm packages</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * Debian-internal promotion of Debian-Science-blend?</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">      - Not required, is it?</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">      - Is data science prominent enouigh?</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">      - From Alastair's presentation: Singularity-based workflows would benefit from some promotion/tutorials</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * Should Debian invest into machines with special hardware that are not yet mainstream?</span><br><ul class="indent"><li><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">*</span><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    GPUs</span><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b"> (maybe a porterbox, and maybe a autopkgtest Requires option for needs GPU for tests?)</span><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span></li><li><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">*</span><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    FPGA?</span></ul><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    *  Link to Debian-Jobs - Is there a point in offering internships? Summer  students? Bachelor / Master thesis projects?</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * ... ?</span><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b"></span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b">    </span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b">    To move forward we need to find a supplier for a non-free builder for the AI/GPU hardware. Who and where should we ask?</span><br><span class="a_3KpMc3aL7lu1AWI2" title="a_3KpMc3aL7lu1AWI2" style="background-color:#a0b434">Intel for Movidius / Myriad ?</span><br><span class="a_3KpMc3aL7lu1AWI2" title="a_3KpMc3aL7lu1AWI2" style="background-color:#a0b434">Xilinx for FPGA ?</span><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b"></span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b">NVIDIA for CUDA?</span><span class="a_3KpMc3aL7lu1AWI2" title="a_3KpMc3aL7lu1AWI2" style="background-color:#a0b434"></span><br><span class="a_3KpMc3aL7lu1AWI2" title="a_3KpMc3aL7lu1AWI2" style="background-color:#a0b434">If Debian systems team agree, I may be able to get hardware and rackspace in Ireland (Alastair)</span><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b"></span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b"></span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b">    (for singularity, it would be nice to have a smaller debian base for a container than debootstrap  theres a lot of things unneeded for a container that gets included)</span><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e"></span><br><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e">    Can the docker-slim images be an option or as an a base for singularity-images? (Anton)</span><span class="a_3KpMc3aL7lu1AWI2" title="a_3KpMc3aL7lu1AWI2" style="background-color:#a0b434"></span><br><span class="a_3KpMc3aL7lu1AWI2" title="a_3KpMc3aL7lu1AWI2" style="background-color:#a0b434">    Some tools were created for debian-installer to minimize scripts (Alastair)</span><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">Do we want to provide a simple `create-container` script?</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">Meta:  I see lots of people reading the pad.  Feel free to join us at</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">    https://jitsi.dc21.debconf.org/28-debian-science-bof-2oQYAfbxAvujKs0w</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">    (specifically the "Read-Only Guests" might like to join directly. ;-) )</span><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b"></span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b">    (I found the login in the upper right, and it used salsa authentication also the jitsi link has better video quality than the web stream)</span><span class="a_3Ufl9YZxKymrwINv" title="a_3Ufl9YZxKymrwINv" style="background-color:#ed265e"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
